version: '2'
services:
  couchdb:
    image: docker.io/bitnami/couchdb:3
    environment:
      - COUCHDB_PASSWORD=couchdb
    ports:
      - '5123:5984'
      - '4369:4369'
      - '9100:9100'
    volumes:
      - couchdb_data:/bitnami/couchdb
      - couchdb_config:/opt/bitnami/couchdb/etc/


  stackedit:
    image: qmcgaw/stackedit
    container_name: stackedit
    environment:
      - LISTENING_PORT=8000
      - ROOT_URL=/
      - USER_BUCKET_NAME=stackedit-users
      - PAYPAL_RECEIVER_EMAIL=
      - DROPBOX_APP_KEY=
      - DROPBOX_APP_KEY_FULL=
      - GITHUB_CLIENT_ID=
      - GITHUB_CLIENT_SECRET=
      - GOOGLE_CLIENT_ID=
      - GOOGLE_API_KEY=
      - WORDPRESS_CLIENT_ID=
    ports:
      - 8165:8000/tcp
#    network_mode: bridge
    restart: "no" 

volumes:
  couchdb_data:
    driver: local
    driver_opts: 
      type: volume 
      o: 'bind'
      device: "${DATA_ROOT}/files"
  couchdb_config:
    driver: local
    driver_opts: 
      type: volume 
      o: 'bind'
      device: "${DATA_ROOT}/config"

